
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef pom_POSTER_LIB_H
#define pom_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "pomType.h"
#include "pomError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[POM_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} POM_CNTRL_STR;

/* For consistency with other posters */
typedef POM_CNTRL_STR POM_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "pomPosterLibStruct.h"



/* Posters */
#define POM_CNTRL_POSTER_NAME genomInstanceSuffixName("pom", "Cntrl")
#define POM_POS_POSTER_NAME genomInstanceSuffixName("pom", "Pos")
#define POM_FRAMEPOS_POSTER_NAME genomInstanceSuffixName("pom", "FramePos")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS pomPosterInit ( void );
extern POSTER_ID pomCntrlPosterID ();
extern STATUS pomCntrlPosterRead ( POM_CNTRL_STR *pomCntrlStrId );
extern STATUS pomCntrlPosterInit ( void );
extern STATUS pomCntrlInstancePosterRead(const char *name, POM_CNTRL_STR *pomCntrlStrId);
extern STATUS pomPosPosterInit ( void );
extern POSTER_ID pomPosPosterID ( void );
extern STATUS pomPosPosterRead ( POM_POS_POSTER_STR *x );
extern STATUS pomPosInstancePosterRead ( const char *, POM_POS_POSTER_STR * );
extern STATUS pomPospomPosPosterRead ( POM_POS *pomPos );
extern STATUS pomPospomPosInstancePosterRead( const char *, POM_POS * );
extern STATUS pomFramePosPosterInit ( void );
extern POSTER_ID pomFramePosPosterID ( void );
extern STATUS pomFramePosPosterRead ( POM_FRAMEPOS_POSTER_STR *x );
extern STATUS pomFramePosInstancePosterRead ( const char *, POM_FRAMEPOS_POSTER_STR * );
extern STATUS pomFramePospom_sensor_posPosterRead ( POM_SENSOR_POS *pom_sensor_pos );
extern STATUS pomFramePospom_sensor_posInstancePosterRead( const char *, POM_SENSOR_POS * );
#ifdef __cplusplus
}
#endif
#endif

