
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef POM_PRINTXML_H
#define POM_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */


#include "pomPosterLib.h"

/* Prototypes */
extern void printXML_struct_POM_FRAMEPOS_POSTER_STR ( FILE *out, char *name,
     struct POM_FRAMEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_POS_POSTER_STR ( FILE *out, char *name,
     struct POM_POS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_PomIDS ( FILE *out, char *name,
     struct PomIDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_OBJECT_POS ( FILE *out, char *name,
     struct POM_OBJECT_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_POS ( FILE *out, char *name,
     struct POM_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_EULER_POS ( FILE *out, char *name,
     struct POM_EULER_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_ME_POS ( FILE *out, char *name,
     struct POM_ME_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_POM_ME_CLASS ( FILE *out, char *name,
     enum POM_ME_CLASS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_SE_POSTER ( FILE *out, char *name,
     struct POM_SE_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_SENSOR_POS ( FILE *out, char *name,
     struct POM_SENSOR_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_UNC ( FILE *out, char *name,
     struct POM_UNC *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_EULER_V ( FILE *out, char *name,
     struct POM_EULER_V *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_EULER_VARIANCES ( FILE *out, char *name,
     struct POM_EULER_VARIANCES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_EULER ( FILE *out, char *name,
     struct POM_EULER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_POM_FUSION_METHOD ( FILE *out, char *name,
     enum POM_FUSION_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_SET_POS ( FILE *out, char *name,
     struct POM_SET_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_SE_CREATE_DATA ( FILE *out, char *name,
     struct POM_SE_CREATE_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_ME_CREATE_DATA ( FILE *out, char *name,
     struct POM_ME_CREATE_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_POM_FUSION_FLAG ( FILE *out, char *name,
     enum POM_FUSION_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_STRING_2 ( FILE *out, char *name,
     struct POM_STRING_2 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_POM_STRING ( FILE *out, char *name,
     struct POM_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_POM_ACTION ( FILE *out, char *name,
     enum POM_ACTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_POM_FRAME ( FILE *out, char *name,
     enum POM_FRAME *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_POM_FRAME ( FILE *out, char *name,
     POM_FRAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_ACTION ( FILE *out, char *name,
     POM_ACTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_STRING ( FILE *out, char *name,
     POM_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_STRING_2 ( FILE *out, char *name,
     POM_STRING_2 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_FUSION_FLAG ( FILE *out, char *name,
     POM_FUSION_FLAG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_ME_CREATE_DATA ( FILE *out, char *name,
     POM_ME_CREATE_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_SE_CREATE_DATA ( FILE *out, char *name,
     POM_SE_CREATE_DATA *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_SET_POS ( FILE *out, char *name,
     POM_SET_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_FUSION_METHOD ( FILE *out, char *name,
     POM_FUSION_METHOD *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_EULER ( FILE *out, char *name,
     POM_EULER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_EULER_VARIANCES ( FILE *out, char *name,
     POM_EULER_VARIANCES *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_EULER_V ( FILE *out, char *name,
     POM_EULER_V *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_UNC ( FILE *out, char *name,
     POM_UNC *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_SENSOR_POS ( FILE *out, char *name,
     POM_SENSOR_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_SE_POSTER ( FILE *out, char *name,
     POM_SE_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_ME_CLASS ( FILE *out, char *name,
     POM_ME_CLASS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_ME_POS ( FILE *out, char *name,
     POM_ME_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_EULER_POS ( FILE *out, char *name,
     POM_EULER_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_POS ( FILE *out, char *name,
     POM_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_OBJECT_POS ( FILE *out, char *name,
     POM_OBJECT_POS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_PomIDS ( FILE *out, char *name,
     PomIDS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_POS_POSTER_STR ( FILE *out, char *name,
     POM_POS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_POM_FRAMEPOS_POSTER_STR ( FILE *out, char *name,
     POM_FRAMEPOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* POM_PRINT_XML_H */

