
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef POM_SCAN_H
#define POM_SCAN_H


/* Structures definies par d'autres modules */


/* Structures du module */
#include "server/pomPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_POM_FRAMEPOS_POSTER_STR (char** buf, struct POM_FRAMEPOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_POM_POS_POSTER_STR (char** buf, struct POM_POS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_PomIDS (char** buf, struct PomIDS *x, int nDim, int *dims );
int scan_buf_struct_POM_OBJECT_POS (char** buf, struct POM_OBJECT_POS *x, int nDim, int *dims );
int scan_buf_struct_POM_POS (char** buf, struct POM_POS *x, int nDim, int *dims );
int scan_buf_struct_POM_EULER_POS (char** buf, struct POM_EULER_POS *x, int nDim, int *dims );
int scan_buf_struct_POM_ME_POS (char** buf, struct POM_ME_POS *x, int nDim, int *dims );
int scan_buf_enum_POM_ME_CLASS (char** buf, enum POM_ME_CLASS *x, int nDim, int *dims );
int scan_buf_struct_POM_SE_POSTER (char** buf, struct POM_SE_POSTER *x, int nDim, int *dims );
int scan_buf_struct_POM_SENSOR_POS (char** buf, struct POM_SENSOR_POS *x, int nDim, int *dims );
int scan_buf_struct_POM_UNC (char** buf, struct POM_UNC *x, int nDim, int *dims );
int scan_buf_struct_POM_EULER_V (char** buf, struct POM_EULER_V *x, int nDim, int *dims );
int scan_buf_struct_POM_EULER_VARIANCES (char** buf, struct POM_EULER_VARIANCES *x, int nDim, int *dims );
int scan_buf_struct_POM_EULER (char** buf, struct POM_EULER *x, int nDim, int *dims );
int scan_buf_enum_POM_FUSION_METHOD (char** buf, enum POM_FUSION_METHOD *x, int nDim, int *dims );
int scan_buf_struct_POM_SET_POS (char** buf, struct POM_SET_POS *x, int nDim, int *dims );
int scan_buf_struct_POM_SE_CREATE_DATA (char** buf, struct POM_SE_CREATE_DATA *x, int nDim, int *dims );
int scan_buf_struct_POM_ME_CREATE_DATA (char** buf, struct POM_ME_CREATE_DATA *x, int nDim, int *dims );
int scan_buf_enum_POM_FUSION_FLAG (char** buf, enum POM_FUSION_FLAG *x, int nDim, int *dims );
int scan_buf_struct_POM_STRING_2 (char** buf, struct POM_STRING_2 *x, int nDim, int *dims );
int scan_buf_struct_POM_STRING (char** buf, struct POM_STRING *x, int nDim, int *dims );
int scan_buf_enum_POM_ACTION (char** buf, enum POM_ACTION *x, int nDim, int *dims );
int scan_buf_enum_POM_FRAME (char** buf, enum POM_FRAME *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_POM_FRAME (char** buf, POM_FRAME *x, int nDim, int *dims );
int scan_buf_POM_ACTION (char** buf, POM_ACTION *x, int nDim, int *dims );
int scan_buf_POM_STRING (char** buf, POM_STRING *x, int nDim, int *dims );
int scan_buf_POM_STRING_2 (char** buf, POM_STRING_2 *x, int nDim, int *dims );
int scan_buf_POM_FUSION_FLAG (char** buf, POM_FUSION_FLAG *x, int nDim, int *dims );
int scan_buf_POM_ME_CREATE_DATA (char** buf, POM_ME_CREATE_DATA *x, int nDim, int *dims );
int scan_buf_POM_SE_CREATE_DATA (char** buf, POM_SE_CREATE_DATA *x, int nDim, int *dims );
int scan_buf_POM_SET_POS (char** buf, POM_SET_POS *x, int nDim, int *dims );
int scan_buf_POM_FUSION_METHOD (char** buf, POM_FUSION_METHOD *x, int nDim, int *dims );
int scan_buf_POM_EULER (char** buf, POM_EULER *x, int nDim, int *dims );
int scan_buf_POM_EULER_VARIANCES (char** buf, POM_EULER_VARIANCES *x, int nDim, int *dims );
int scan_buf_POM_EULER_V (char** buf, POM_EULER_V *x, int nDim, int *dims );
int scan_buf_POM_UNC (char** buf, POM_UNC *x, int nDim, int *dims );
int scan_buf_POM_SENSOR_POS (char** buf, POM_SENSOR_POS *x, int nDim, int *dims );
int scan_buf_POM_SE_POSTER (char** buf, POM_SE_POSTER *x, int nDim, int *dims );
int scan_buf_POM_ME_CLASS (char** buf, POM_ME_CLASS *x, int nDim, int *dims );
int scan_buf_POM_ME_POS (char** buf, POM_ME_POS *x, int nDim, int *dims );
int scan_buf_POM_EULER_POS (char** buf, POM_EULER_POS *x, int nDim, int *dims );
int scan_buf_POM_POS (char** buf, POM_POS *x, int nDim, int *dims );
int scan_buf_POM_OBJECT_POS (char** buf, POM_OBJECT_POS *x, int nDim, int *dims );
int scan_buf_PomIDS (char** buf, PomIDS *x, int nDim, int *dims );
int scan_buf_POM_POS_POSTER_STR (char** buf, POM_POS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_POM_FRAMEPOS_POSTER_STR (char** buf, POM_FRAMEPOS_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* POM_SCAN_H */

